Subject: bug#14732: Package dos-mode for ELPA

From: Arni Magnusson <[email-masked]>
Date: Sun, 7 Jul 2013 12:34:33 +0000 (GMT)

As suggested by Stefan, I have defined an improved mode for editing Dos 
scripts using `define-derived-mode'. I have uploaded it to

   http://www.emacswiki.org/emacs/download/dos.el

The new `dos-mode' is a complete rewrite of my old one, considerably 
simplified (now 5857 bytes) after stripping away features that probably 
belong in user hooks.

As indicated by the header comment "This file is part of GNU Emacs.", I am 
hoping that `dos-mode' will be incorporated into core Emacs, inside 
lisp/progmodes.

The old `bat-generic-mode' could link to `dos-mode' in the same way as 
`javascript-generic-mode' links to `js-mode'.

Please feel free to make any modifications or suggestions.

Arni